Subject: Re: bug#23251: 25.0.92; M-< and M-> don't work with Croatian keyboard

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Apr 2016 18:21:28 +0300

> Date: Wed, 13 Apr 2016 22:37:13 -0700
> From: Ilya Zakharevich <[email-masked]>
> Cc: Josko <[email-masked]>, [email-masked]
> 
> This creates a significant mess if one wants to allow using the
> secondary locations with Alt modifier (for example, to generate Meta-;
> by Alt-AltGr-;).  It does not look like a small workaround is possible
> (which does not break OTHER usage scenarios).
> 
> Ilya
> 
> P.S.  I know a medium-sized workaround which would improve OTHER cases
>       as well.  But it cannot be ready in a day or two!]

Thanks for looking into this.

Is it possible to devise a simple work-around that would depend on
some optional variable?  The work-around doesn't need to handle all
usage scenarios, just allow using a particular keyboard layout with
reasonable results (e.g., it could break usage of some other layouts).

If such  work-around is possible, I think we should consider it for
the upcoming Emacs 25.1 as a temporary stopgap.